Package org.apache.sling.distribution.resources.impl.common

## Class SimplePathInfo

- java.lang.Object
- - org.apache.sling.distribution.resources.impl.common.SimplePathInfo

    public class SimplePathInfo
    extends Object

Path info representing a main resource. The requestPath = resourcePath + resourcePathInfo The identified resource can be of three types: root - resourcePath = resourceRoot main - resourcePath = resourceRoot + mainResourceName child - resourcePath = resourceRoot + mainResourceName + childResourceName

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getChildResourceName()`
`String` `getMainResourceName()`
`String` `getResourcePath()`
`String` `getResourcePathInfo()`
`boolean` `isChild()`
`boolean` `isMain()`
`boolean` `isRoot()`
`static SimplePathInfo` `parsePathInfo​(String resourceRoot, String requestPath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getResourcePathInfo

    public String getResourcePathInfo()

#### getMainResourceName

    public String getMainResourceName()

#### getChildResourceName

    public String getChildResourceName()

#### isRoot

    public boolean isRoot()

#### isMain

    public boolean isMain()

#### isChild

    public boolean isChild()

#### getResourcePath

    public String getResourcePath()

#### parsePathInfo

    public static SimplePathInfo parsePathInfo​(String resourceRoot,
                                               String requestPath)